<?php

/**
 * Theme Customizer
 * @author  	 DeoThemes
 * @copyright  (c) Copyright by DeoThemes
 * @link       https://deothemes.com
 * @package 	 Meridia
 * @since 		 1.0.0
 */
if ( !defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}
function meridia_customize_register( $wp_customize )
{
    // Customize Background Settings
    $wp_customize->get_section( 'background_image' )->title = esc_html__( 'Background Styles', 'meridia' );
    $wp_customize->get_control( 'background_color' )->section = 'background_image';
    // Remove Custom Header Section
    $wp_customize->remove_section( 'header_image' );
    $wp_customize->remove_section( 'colors' );
}

add_action( 'customize_register', 'meridia_customize_register' );
// Check if Kirki is installed

if ( class_exists( 'Kirki' ) ) {
    // Selector Vars
    $meridia_selectors = array(
        'main_color'              => 'a,
			a:focus,
			.loader,
			.socials a:hover,
			.entry-navigation a:hover,
			.owl-next:hover i,
			.owl-prev:hover i,
			.socials--nobase a:hover,
			.entry-category,
			.entry-title:hover a,
			.hero-carousel__entry-title:hover a,
			.entry-meta li a:hover,
			.instagram-feed > p a:hover,
			.search-close:hover i,
			.search-close:focus i,
			.related-posts__entry-title a:hover,
			.comment-edit-link,
			.widget-popular-posts__entry-title a:hover,
			.widget_recent_entries a:hover,
			.footer .widget_recent_entries a:hover,
			.widget_recent_comments a:hover,
			.footer .widget_recent_comments a:hover,
			.widget_nav_menu a:hover,
			.footer .widget_nav_menu a:hover,
			.widget_archive a:hover,
			.footer .widget_archive a:hover,
			.widget_pages a:hover,
			.footer .widget_pages a:hover,
			.widget_categories a:hover,
			.footer .widget_categories a:hover,
			.widget_meta a:hover,
			.footer .widget_meta a:hover,
			.widget_rss .rsswidget:hover,
			.footer .widget_rss .rsswidget:hover,
			.search-wrap .search-button:hover,
			.search-close:hover i,
			.search-close:focus i
			',
        'main_background_color'   => '.btn-color,
			.pagination a:hover,
			.nav__icon-toggle:focus .nav__icon-toggle-bar,
			.nav__icon-toggle:hover .nav__icon-toggle-bar,
			.comment-author__post-author-label,
			#back-to-top:hover',
        'main_border_color'       => 'input:focus, textarea:focus, blockquote, .search-wrap .search-input, .search-wrap .search-input:focus',
        'slider_background_color' => '.hero-slider:before',
        'headings_color'          => 'h1,h2,h3,h4,h5,h6',
        'buttons'                 => 'input[type="button"],
			input[type="reset"],
			input[type="submit"],
			button,		
			.btn,
			.button,
			.wp-block-button .wp-block-button__link,
			a.cc-btn.cc-dismiss',
        'buttons_hover_color'     => 'input[type="button"]:hover,
			input[type="reset"]:hover,
			input[type="submit"]:hover,
			input[type="button"]:focus,
			input[type="reset"]:focus,
			input[type="submit"]:focus,
			button:hover,
			button:focus,			
			.btn:hover,
			.btn:focus,
			.button:hover,
			.button:focus,
			.wp-block-button .wp-block-button__link:active,
			.wp-block-button .wp-block-button__link:focus,
			.wp-block-button .wp-block-button__link:hover',
        'text_color'              => 'body',
        'meta_color'              => '.entry-meta li, .entry-share span, .comment-date, .gallery-caption',
        'h1'                      => 'h1',
        'h2'                      => 'h2',
        'h3'                      => 'h3',
        'h4'                      => 'h4',
        'h5'                      => 'h5',
        'h6'                      => 'h6',
        'text'                    => 'body, .widget-popular-posts__entry-title',
        'meta'                    => '.entry-meta li, .entry-share span, .comment-date',
        'footer_links_color'      => '.footer__widgets a,
			.footer #wp-calendar caption,
			.footer #wp-calendar a,
			.footer .widget_recent_entries a,
			.footer .widget_rss .rsswidget,
			.footer .widget_recent_comments a,
			.footer .widget_nav_menu a,
			.footer .widget_archive a,
			.footer .widget_pages a,
			.footer .widget_categories a,
			.footer .widget_meta a,
			.footer .deo-newsletter-gdpr-checkbox__label,
			.footer__socials .social',
        'footer_dividers_color'   => '.footer .widget_recent_entries li,
			.footer .widget-popular-posts__list > li,
			.footer .recentcomments,
			.footer .widget_nav_menu li,
			.footer .widget_pages li,
			.footer .widget_categories li,
			.footer .widget_meta li,
			.footer__socials',
    );
    // Kirki
    Kirki::add_config( 'meridia_config', array(
        'capability'  => 'edit_theme_options',
        'option_type' => 'theme_mod',
        'option_name' => 'meridia_config',
    ) );
    /**
     * SECTIONS / PANELS
     **/
    $meridia_priority = 20;
    $meridia_uniqid = 1;
    // 01 GENERAL PANEL
    Kirki::add_panel( 'meridia_general', array(
        'title'    => esc_attr__( 'General', 'meridia' ),
        'priority' => $meridia_priority++,
    ) );
    // Preloader
    Kirki::add_section( 'meridia_preloader', array(
        'title' => esc_html__( 'Preloader', 'meridia' ),
        'panel' => 'meridia_general',
    ) );
    // Back to Top
    Kirki::add_section( 'meridia_back_to_top', array(
        'title' => esc_html__( 'Back to Top', 'meridia' ),
        'panel' => 'meridia_general',
    ) );
    // 02 HEADER & LOGO PANEL
    Kirki::add_panel( 'meridia_header', array(
        'title'    => esc_html__( 'Header & Logo', 'meridia' ),
        'priority' => $meridia_priority++,
    ) );
    // Logo
    Kirki::add_section( 'meridia_logo', array(
        'title' => esc_html__( 'Logo', 'meridia' ),
        'panel' => 'meridia_header',
    ) );
    // Header
    Kirki::add_section( 'meridia_desktop_header', array(
        'title' => esc_html__( 'Header', 'meridia' ),
        'panel' => 'meridia_header',
    ) );
    // Mobile Header
    Kirki::add_section( 'meridia_mobile_header', array(
        'title' => esc_html__( 'Mobile Header', 'meridia' ),
        'panel' => 'meridia_header',
    ) );
    // 03 Featured Area
    Kirki::add_section( 'meridia_featured_area', array(
        'title'    => esc_html__( 'Featured Area', 'meridia' ),
        'priority' => $meridia_priority++,
    ) );
    // 04 Promo Boxes
    Kirki::add_section( 'meridia_promo', array(
        'title'    => esc_html__( 'Promo Boxes', 'meridia' ),
        'priority' => $meridia_priority++,
    ) );
    // 05 BLOG PANEL
    Kirki::add_panel( 'meridia_blog', array(
        'title'    => esc_attr__( 'Blog', 'meridia' ),
        'priority' => $meridia_priority++,
    ) );
    // Post Pagination
    Kirki::add_section( 'meridia_post_pagination', array(
        'title' => esc_html__( 'Pagination', 'meridia' ),
        'panel' => 'meridia_blog',
    ) );
    // Post Meta
    Kirki::add_section( 'meridia_post_meta', array(
        'title' => esc_html__( 'Post Meta', 'meridia' ),
        'panel' => 'meridia_blog',
    ) );
    // Single Post
    Kirki::add_section( 'meridia_single_post', array(
        'title' => esc_html__( 'Single Post', 'meridia' ),
        'panel' => 'meridia_blog',
    ) );
    // Post Excerpt
    Kirki::add_section( 'meridia_post_excerpt', array(
        'title' => esc_html__( 'Post Excerpt', 'meridia' ),
        'panel' => 'meridia_blog',
    ) );
    // 06 LAYOUT PANEL
    Kirki::add_panel( 'meridia_layout', array(
        'title'    => esc_html__( 'Layout', 'meridia' ),
        'priority' => $meridia_priority++,
    ) );
    // Homepage Layout
    Kirki::add_section( 'meridia_homepage_layout', array(
        'title'       => esc_html__( 'Homepage', 'meridia' ),
        'description' => esc_html__( 'Layout options for your homepage. If it\'s set to display your latest posts', 'meridia' ),
        'panel'       => 'meridia_layout',
        'capability'  => 'edit_theme_options',
    ) );
    // Single Post Layout
    Kirki::add_section( 'meridia_single_post_layout', array(
        'title'       => esc_html__( 'Single Post', 'meridia' ),
        'description' => esc_html__( 'Layout options for single post', 'meridia' ),
        'panel'       => 'meridia_layout',
        'capability'  => 'edit_theme_options',
    ) );
    // Archives Layout
    Kirki::add_section( 'meridia_archives_layout', array(
        'title'       => esc_html__( 'Archives', 'meridia' ),
        'description' => esc_html__( 'Layout options for archives and categories pages', 'meridia' ),
        'panel'       => 'meridia_layout',
        'capability'  => 'edit_theme_options',
    ) );
    // Page Layout
    Kirki::add_section( 'meridia_page_layout', array(
        'title'       => esc_html__( 'Page', 'meridia' ),
        'description' => esc_html__( 'Layout options for regular pages', 'meridia' ),
        'panel'       => 'meridia_layout',
        'capability'  => 'edit_theme_options',
    ) );
    // Page title layout
    Kirki::add_section( 'meridia_page_title_layout', array(
        'title'      => esc_html__( 'Page title', 'meridia' ),
        'panel'      => 'meridia_layout',
        'capability' => 'edit_theme_options',
    ) );
    // 07 COLORS PANEL
    Kirki::add_panel( 'meridia_colors', array(
        'title'    => esc_html__( 'Colors', 'meridia' ),
        'priority' => $meridia_priority++,
    ) );
    // General Colors
    Kirki::add_section( 'meridia_general_colors', array(
        'title' => esc_html__( 'General Colors', 'meridia' ),
        'panel' => 'meridia_colors',
    ) );
    // Header Colors
    Kirki::add_section( 'meridia_header_colors', array(
        'title' => esc_html__( 'Header Colors', 'meridia' ),
        'panel' => 'meridia_colors',
    ) );
    // Text Colors
    Kirki::add_section( 'meridia_text_colors', array(
        'title' => esc_html__( 'Text Colors', 'meridia' ),
        'panel' => 'meridia_colors',
    ) );
    // Footer Colors
    Kirki::add_section( 'meridia_footer_colors', array(
        'title' => esc_html__( 'Footer Colors', 'meridia' ),
        'panel' => 'meridia_colors',
    ) );
    // Misc Colors
    Kirki::add_section( 'meridia_misc_colors', array(
        'title' => esc_html__( 'Misc Colors', 'meridia' ),
        'panel' => 'meridia_colors',
    ) );
    // 08 TYPOGRAPHY PANEL
    Kirki::add_panel( 'meridia_typography', array(
        'title'    => esc_html__( 'Typography', 'meridia' ),
        'priority' => $meridia_priority++,
    ) );
    // General Typography
    Kirki::add_section( 'meridia_general_typography', array(
        'title' => esc_html__( 'General', 'meridia' ),
        'panel' => 'meridia_typography',
    ) );
    // Header Typography
    Kirki::add_section( 'meridia_header_typography', array(
        'title' => esc_html__( 'Header', 'meridia' ),
        'panel' => 'meridia_typography',
    ) );
    // Featured Area Typography
    Kirki::add_section( 'meridia_featured_area_typography', array(
        'title' => esc_html__( 'Featured Area', 'meridia' ),
        'panel' => 'meridia_typography',
    ) );
    // Posts Typography
    Kirki::add_section( 'meridia_posts_typography', array(
        'title' => esc_html__( 'Posts', 'meridia' ),
        'panel' => 'meridia_typography',
    ) );
    // Single Post Typography
    Kirki::add_section( 'meridia_single_post_typography', array(
        'title' => esc_html__( 'Single Post', 'meridia' ),
        'panel' => 'meridia_typography',
    ) );
    // Meta Typography
    Kirki::add_section( 'meridia_meta_typography', array(
        'title' => esc_html__( 'Post Meta', 'meridia' ),
        'panel' => 'meridia_typography',
    ) );
    // Widgets Typography
    Kirki::add_section( 'meridia_widgets_typography', array(
        'title' => esc_html__( 'Widgets', 'meridia' ),
        'panel' => 'meridia_typography',
    ) );
    // Misc Typography
    Kirki::add_section( 'meridia_misc_typography', array(
        'title' => esc_html__( 'Misc', 'meridia' ),
        'panel' => 'meridia_typography',
    ) );
    // 09 Footer
    Kirki::add_section( 'meridia_footer', array(
        'title'    => esc_html__( 'Footer', 'meridia' ),
        'priority' => $meridia_priority++,
    ) );
    // Load modules
    //require MERIDIA_THEME_DIR . '/includes/customizer/modules/site-identity.php';
    require MERIDIA_THEME_DIR . '/includes/customizer/modules/general.php';
    require MERIDIA_THEME_DIR . '/includes/customizer/modules/header.php';
    require MERIDIA_THEME_DIR . '/includes/customizer/modules/featured-area.php';
    require MERIDIA_THEME_DIR . '/includes/customizer/modules/promo-boxes.php';
    require MERIDIA_THEME_DIR . '/includes/customizer/modules/blog.php';
    require MERIDIA_THEME_DIR . '/includes/customizer/modules/layout.php';
    require MERIDIA_THEME_DIR . '/includes/customizer/modules/colors.php';
    require MERIDIA_THEME_DIR . '/includes/customizer/modules/typography.php';
    require MERIDIA_THEME_DIR . '/includes/customizer/modules/footer.php';
}

// endif Kirki check